System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable System.Security.Principal.IIdentity

This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

Provides a class to be used by . It provides a way for an application to access the method. This class cannot be inherited. This class is deprecated.

- Constructor

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Initializes a new instance of the class. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the type of authentication used to identify the user. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, as well as with optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as optional information sent to the Login server in the query string.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, along with optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  The URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns the authentication server URL for a member. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  Sets the URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter will be used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended to the URL of the Cobranding Template script page that was specified at initial participant registration. Pass null to indicate that Passport should use the default value. Specifies the language in which the required domain authority page should be displayed. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, along with the optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  Sets the URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter will be used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended to the URL of the Cobranding Template script page that was specified at initial participant registration. Pass null to indicate that Passport should use the default value. Specifies the language in which the required domain authority page should be displayed. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual Login UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, as well as optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as optional information sent to the Login server in the query string.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, as well as optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  The URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns a string containing the Login server URL for a member, as well as the optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  Sets the URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter will be used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended to the URL of the Cobranding Template script page that was specified at initial participant registration. Pass null to indicate that Passport should use the default value. Specifies the language in which the required domain authority page should be displayed. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Retrieves a string containing the Login server URL for a member, as well as the optional information sent to the Login server in the query string. This class is deprecated.

  The Login server URL for a member, as well as the optional information sent to the Login server in the query string.

  Sets the URL of the location that the Login server should redirect to after logon is complete. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter will be used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended to the URL of the Cobranding Template script page that was specified at initial participant registration. Pass null to indicate that Passport should use the default value. Specifies the language in which the required domain authority page should be displayed. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Compresses data. This class is deprecated.

  The compressed data.

  The data to be compressed. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the state of a flag indicating if the Passport Manager is in a valid state for encryption. This class is deprecated.

  true if the key used for encryption and decryption is valid and if the Passport Manager is in a valid state for encryption; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Sets the key being used for Passport encryption and decryption. This class is deprecated.

  An integer result code.

  The host name or IP address. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Sets the key being used for Passport encryption and decryption by referring to the site-name label assigned to that key when the key was first installed. This class is deprecated.

  An integer result code.

  The site label. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Decompresses data that has been compressed by the method. This class is deprecated.

  The decompressed data.

  The data to be decompressed. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Decrypts data using the Passport participant key for the current site. This class is deprecated.

  Data decrypted using the Passport participant key for the current site.

  The data to be decrypted. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Encrypts data using the Passport participant key for the current site. This class is deprecated.

  Data encrypted using the Passport participant key for the current site.

  The data to be encrypted. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets a value indicating the error state associated with the current Passport ticket. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the contents of a registry key under the HKLM\SW\Microsoft\Passport hive. This class is deprecated.

  The contents of the registry key.

  The name of the registry key. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Provides information for a Passport domain by querying the Passport manager for the requested domain attribute. This class is deprecated.

  A string representing the requested attribute.

  The name of the attribute value to retrieve. The language in which various Passport network pages should be displayed to the member. The domain authority name to query for an attribute. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns the Passport domain from the member name string. This class is deprecated.

  The Passport domain for the specified member.

  The name of the Passport member 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets information on a Passport server connection and query string. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Indicates whether the user is authenticated by a central site responsible for Passport authentication. This class is deprecated.

  true if the user is authenticated by a Passport authority; otherwise, false.

  Specifies the interval during which members must have last logged on to the calling domain. Pass -1 to indicate that Passport should use the default value. Determines how the parameter is used. Enables checking for an encrypted logon. SSL sign-in is not available as an option in the current version Login servers, so the value passed in is ignored at the server. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Indicates whether the user is authenticated by a Passport authority. This class is deprecated.

  true if the user is authenticated by a central site responsible for Passport authentication; otherwise, false.

  Specifies the interval during which members must have last logged on to the calling domain. A value of -1 indicates that Passport should use the default value, 0 represents false, and 1 represents true. Determines how the parameter is used. A value of -1 indicates that Passport should use the default value, 0 represents false, and 1 represents true. Enables checking for an encrypted logon. A value of -1 indicates that Passport should use the default value, 0 represents false, and 1 represents true. 1.0.5000.0 2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or initiating a Passport-aware client authentication exchange. This class is deprecated.

  A string representing the Passport Login Challenge.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on by outputting the appropriate headers to either a 302 redirect URL or the initiation of a Passport-aware client authentication exchange. This class is deprecated.

  A string representing the Passport Login Challenge.

  See Passport documentation for IPassportManager3.GetLoginChallenge. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or initiating a Passport-aware client authentication exchange. This class is deprecated.

  A string representing the Passport Login Challenge.

  See Passport documentation for IPassportManager3.GetLoginChallenge. Pass null to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass -1 to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass -1 to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass null to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass -1 to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass null to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass -1 to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass -1 to indicate that Passport should use the default value. See Passport documentation for IPassportManager3.GetLoginChallenge. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets a specific Passport logon option. This class is deprecated.

  The Passport logon option .

  Logon option to query. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns Passport profile information for the specified profile attribute. This class is deprecated.

  The value of the Passport profile attribute specified by the parameter.

  The Passport profile attribute to return. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Indicates whether a given flag is set in this user's profile. This class is deprecated.

  true if the Passport profile flag is set in this user's profile; otherwise, false.

  The Passport profile flag to query. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Indicates whether a given profile attribute exists in this user's profile. This class is deprecated.

  true if the profile attribute exists in this user's profile; otherwise, false.

  The Passport profile attribute to query. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets information on whether the Passport member's password was saved. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets a value indicating whether the query string includes a Passport ticket as a cookie. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Indicates whether full consent is granted in this user's profile. This class is deprecated.

  true if full consent is granted in this user's profile.

  true to indicate full consent is required for Passport Authentication; otherwise, false. true to indicate the user's birthdate is required for Passport Authentication; otherwise, false. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the Passport Unique Identifier (PUID) for the currently authenticated user, in hexadecimal form. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets a value indicating whether the user is authenticated against a Passport authority. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Property
  System.String `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or initiating a Passport-aware client authentication exchange. This class is deprecated.

  An integer result code.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or initiating a Passport-aware client authentication exchange. This class is deprecated.

  An integer result code.

  The URL to which the Login server should redirect users after sign in is complete. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or by initiating a Passport-aware client authentication exchange. This class is deprecated.

  An integer result code.

  The URL to which the Login server should redirect users after sign in is complete. Pass null to indicate that Passport should use the default value. The time value, in seconds. Pass -1 to indicate that Passport should use the default value. true to have the Login server compare the parameter against the time since the user last signed in; false to have the Login server compare against the last time the Ticket was refreshed. Pass -1 to indicate that Passport should use the default value. A string specifying variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. A locale identifier (LCID) specifying the language in which the Login page should be displayed. Pass -1 to indicate that Passport should use the default value. A domain name space to which you want to direct users without Passports to register. The specified name space must appear as a "domain name" entry in the Partner.xml Component Configuration Document (CCD). The typical default name space is "passport.com". Pass null to indicate that Passport should use the default value. Pass -1 to indicate that Passport should use the default value. This parameter is only relevant when implementing Kids Passport service; however, Kids Passport service cannot currently support use of this method. SSL sign-in is not available as an option in the current version Login servers. Passport Manager methods include SSL sign-in parameters and they may be required for syntax, but they are currently ignored at the server. Check the Passport Web site for updates on the status of SSL sign-in. Pass -1 to indicate that Passport should use the default value. Name-value pairs to be inserted directly into the challenge authentication header, specifically for Passport-aware authentication interaction. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs the user on, either by generating a 302 redirect URL or initiating a Passport-aware client authentication exchange. This class is deprecated.

  An integer result code.

  The URL to which the Login server should redirect users after sign in is complete. Pass null to indicate that Passport should use the default value. The time value, in seconds. Pass -1 to indicate that Passport should use the default value. Indicates whether the Login server should compare the parameter against the time since the user last signed in or against the last time the Ticket was refreshed. Pass -1 to indicate that Passport should use the default value. A string specifying variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. A locale identifier (LCID) specifying the language in which the Login page should be displayed. Pass -1 to indicate that Passport should use the default value. A domain name space to which you want to direct users without Passports to register. The specified name space must appear as a "domain name" entry in the Partner.xml Component Configuration Document (CCD). The typical default name space is "passport.com". Pass null to indicate that Passport should use the default value. Pass -1 to indicate that Passport should use the default value. This parameter is only relevant when implementing Kids Passport service; however, Kids Passport service cannot currently support use of this method. SSL sign-in is not available as an option in the current version Login servers. Passport Manager methods include SSL sign-in parameters and they may be required for syntax, but they are currently ignored at the server. Check the Passport Web site for updates on the status of SSL sign-in. Pass -1 to indicate that Passport should use the default value. Name-value pairs to be inserted directly into the challenge authentication header, specifically for Passport-aware authentication interaction. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an image tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter gets used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. Specifies the language to be used for the logon page that is displayed to the member. Pass -1 to indicate that Passport should use the default value. Declares whether this method is being called from an HTTPS (SSL) page. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter gets used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. Specifies the language to be used for the logon page that is displayed to the member. Pass -1 to indicate that Passport should use the default value. Declares whether this method is being called from an HTTPS (SSL) page. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an image tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter gets used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. Specifies the language to be used for the logon page that is displayed to the member. Pass -1 to indicate that Passport should use the default value. Declares whether this method is being called from an HTTPS (SSL) page. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns an HTML fragment containing an HTML <img> tag for a Passport link. This class is deprecated.

  An HTML fragment containing an image tag for a Passport link.

  Sets the URL of the location to which the Login server should redirect members after they log on. Pass null to indicate that Passport should use the default value. Specifies the interval during which members must have last logged on. Pass -1 to indicate that Passport should use the default value. Determines how the parameter gets used. Pass -1 to indicate that Passport should use the default value. Specifies variables to be appended as query string variables to the URL of the participant's Cobranding Template script page. Pass null to indicate that Passport should use the default value. Specifies the language to be used for the logon page that is displayed to the member. Pass -1 to indicate that Passport should use the default value. Declares whether this method is being called from an HTTPS (SSL) page. Pass -1 to indicate that Passport should use the default value. Specifies the domain in which the Passport should be created. Pass null to indicate that Passport should use the default value. Specifies data collection policies for purposes of Children's Online Privacy Protection Act (COPPA) compliance. Pass -1 to indicate that Passport should use the default value. Declares whether the actual logon UI should be served HTTPS from the Passport domain authority. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Method
  System.String

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns the Passport logout URL string. This class is deprecated.

  The Passport logout URL string.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` `` `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Returns the Passport logout URL string using the specified parameters. This class is deprecated.

  The Passport logout URL string.

  See IPassportManager3.LogoutUrl for more details. Pass null to indicate that Passport should use the default value. See IPassportManager3.LogoutUrl for more details. Pass null to indicate that Passport should use the default value. See IPassportManager3.LogoutUrl for more details. Pass -1 to indicate that Passport should use the default value. See IPassportManager3.LogoutUrl for more details. Pass null to indicate that Passport should use the default value. See IPassportManager3.LogoutUrl for more details. Pass -1 to indicate that Passport should use the default value. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the name of the current user. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Sets a specific Passport logon option. This class is deprecated.

  The option to set. The value to set. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Logs off the given Passport member from the current session. This class is deprecated.

  An HTML fragment containing an image for the user to click on to sign out. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Releases all resources used by the class. This class is deprecated.

- Method
  System.Object ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets information on a specific attribute of the Passport authentication ticket. This class is deprecated.

  An object representing an attribute of the Passport authentication ticket.

  A string identifying the Passport authentication ticket to return. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the time, in seconds, since the last ticket was issued or refreshed. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Gets the time, in seconds, since a member's logon to the Passport logon server. This class is deprecated.

  1.0.5000.0
  2.0.0.0